Bug 1309101 - copr-cli doesn't handle string input for 'status'
copr-cli doesn't handle string input for 'status'
Status: CLOSED CURRENTRELEASE
Product: Copr
Classification: Community
Component: cli (Show other bugs)
unspecified
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: clime
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 15:21 EST by John M. Harris, Jr.
Modified: 2016-05-05 09:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-05 09:06:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John M. Harris, Jr. 2016-02-16 15:21:06 EST
Description of problem:
I understand that 'status' is supposed to take a build id, but it's a simple misunderstanding for a user to think they could do something like `copr status mypackage` to see the status of their package, perhaps expecting something similar to the "monitor" tab on on the web frontend. Instead, you're presented with 

How reproducible:


Steps to Reproduce:
1. run `copr status any-string`

Actual results:
HTML error page

Expected results:
Something along the lines of "Something went wrong:\n Error: build id expected."
Comment 1 clime 2016-03-18 03:26:15 EDT
Fixed by 50cfd70c. Thank you.
Comment 2 Miroslav Suchý 2016-05-05 09:06:23 EDT
Package including this fix has been deployed on production instance of Copr.

Note You need to log in before you can comment on or make changes to this bug.